package studio.meaningless.esa.entity.client;

import net.minecraft.util.Identifier;
import software.bernie.geckolib.model.GeoModel;
import studio.meaningless.esa.entity.custom.EsaGolemEntity;

public class EsaGolemModel extends GeoModel<EsaGolemEntity> {

    @Override
    public Identifier getModelResource(EsaGolemEntity animatable) {
        return new Identifier("esa", "geo/esa_golem.geo.json");
    }

    @Override
    public Identifier getTextureResource(EsaGolemEntity animatable) {
        return new Identifier("esa", "textures/entity/esa_golem.png");
    }

    @Override
    public Identifier getAnimationResource(EsaGolemEntity animatable) {
        return new Identifier("esa", "animations/esa_golem.animation.json");
    }
// TODO Figure out if this is neccessary
    // @Override
    // public void setCustomAnimations(EsaGolemEntity animatable, long instanceId, AnimationState<EsaGolemEntity> animationState) {
    //     CoreGeoBone head = getAnimationProcessor().getBone("head");

    //     if (head != null) {
    //         EntityModelData entityData = animationState.getData(DataTickets.ENTITY_MODEL_DATA);
    //         head.setRotX(entityData.headPitch() * MathHelper.RADIANS_PER_DEGREE);
    //         head.setRotY(entityData.netHeadYaw() * MathHelper.RADIANS_PER_DEGREE);
    //     }
    // }

}
