package studio.meaningless.esa.entity;

import net.fabricmc.fabric.api.object.builder.v1.entity.FabricEntityTypeBuilder;
import net.minecraft.entity.EntityDimensions;
import net.minecraft.entity.EntityType;
import net.minecraft.entity.SpawnGroup;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;
import studio.meaningless.esa.entity.custom.EsaGolemEntity;

public class ModEntities {
        public static final EntityType<EsaGolemEntity> ESA_GOLEM = Registry.register(
                        Registries.ENTITY_TYPE, new Identifier("esa", "esa_golem"),
                        FabricEntityTypeBuilder.create(SpawnGroup.CREATURE, EsaGolemEntity::new)
                                        // Add Hitbox for Esa Golem
                                        // TODO fix hitbox size
                                        .dimensions(EntityDimensions.fixed(1f, 1.5f)).build());
}
