package studio.meaningless.esa.entity.client;

import net.minecraft.client.render.VertexConsumerProvider;
import net.minecraft.client.render.entity.EntityRendererFactory;
import net.minecraft.client.util.math.MatrixStack;
import software.bernie.geckolib.renderer.GeoEntityRenderer;
import studio.meaningless.esa.entity.custom.EsaGolemEntity;

public class EsaGolemRenderer extends GeoEntityRenderer<EsaGolemEntity> {
    public EsaGolemRenderer(EntityRendererFactory.Context renderManager) {
        super(renderManager, new EsaGolemModel());
    }

    // TODO Check if this is necessary
    // @Override
    // public Identifier getTextureLocation(EsaGolemEntity animatable) {
    // return new Identifier("esa", "textures/entity/esa_golem.png");
    // }

    @Override
    public void render(EsaGolemEntity entity, float entityYaw, float partialTick,
            MatrixStack poseStack, VertexConsumerProvider bufferSource, int packedLight) {
        poseStack.scale(2.5f, 2.5f, 2.5f);
        super.render(entity, entityYaw, partialTick, poseStack, bufferSource, packedLight);
    }
}